Tuesday, 22 September 2009

2.6.31-grsec

Latest testing grsecurity patch is available here. Although there were some issues with linking for users with older binutils (2.18), they should be now resolved. I've been using this kernel for quite a few days now without any issues at all...

So just follow this with the latest patch...compile and enjoy! ;]

Friday, 11 September 2009

KDE 4.3.1 on Gentoo...hardened!

Yes! It works fine with gcc-4.4.1 and glibc-2.10.1...just follow the guide. It compiled without any issues apart from the nepomuk ebuild requiring non-grsec kernel to compile - and yes, it does crash when running with grsecurity but hey - nepomuk is not critical a part of the KDE environment, is it? ;)

Of course, getting X to work with decent drivers is always a mission (at least with nvidia based cards), so I'm currently using the opensource 'nv' drivers, as neither 'nouveau' nor binary drivers work for me...KMS works fine - hopefully the 2.6.31 brings less patching...

Nevertheless - if you're not after fancy 3D stuff (maybe owners of non-nvidia cards are more lucky?) - KDE 4.3 is out there an it looks much better than previous 4.x release - less vista-ish too - that's for sure! ;]

Emerge! ;)